#include <bits/stdc++.h>

using namespace std;

int main()
{
    string x, y, a="";
    cin >> x >> y;

    int duzina_x = x.length();
    int duzina_y = y.length();

    while(duzina_x > 0 || duzina_y > 0)
    {
        if(duzina_x > 0 && duzina_y > 0)
        {
            if(x[duzina_x-1] > y[duzina_y-1])
            {
                a = x[duzina_x-1] + a;
            }
            else if(x[duzina_x-1] < y[duzina_y-1])
            {
                a = y[duzina_y-1] + a;
            }
            else
            {
                a = x[duzina_x-1] + a;
                a = y[duzina_y-1] + a;
            }
        }
        else if (duzina_x > 0)
        {
            a = x[duzina_x-1] + a;
        }
        else if (duzina_y > 0)
        {
            a = y[duzina_y-1] + a;
        }

        duzina_x--;
        duzina_y--;
    }

    cout << a << endl;
    return 0;
}